#
# spec file for package kwhois (Version 1.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         kwhois
Copyright:    FSR
Group:        Extensions/Korean
Autoreqprov:  on
URL:          http://www.oops.org/
Version:      1.2
Release:      110
Summary:      korean finger-style whois
Source:       ftp://ftp.oops.kr.net/pub/distrib/kwhois/kwhois-%{version}.tar.gz
Patch:        kwhois-check-ko.diff
BuildRoot:    %{_tmppath}/%{name}-build

%description
This is the ``whois'' program.  It will allow you to find out
information on people stored in the whois databases in
KrNic, InterNic, JpNic, ToNic and eNic.

Authors:
--------
    JoungKyun Kim <admin@oops.org>
    ByungKi Lee <pino5@hitel.net>

SuSE series: han

%prep
%setup
%patch -p1

%build
gcc $RPM_OPT_FLAGS -s kwhois.c -o kwhois

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
############################################################################
# KWHOIS BINARY.............................................................
############################################################################
mkdir -p %{buildroot}%{_prefix}/bin
install -s -m 755 kwhois %{buildroot}%{_prefix}/bin/kwhois
###########################################################################
# KWHOIS MANPAGE...........................................................
###########################################################################
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_mandir}/ko/man1
install -c -m 644 docs/kwhois.1    %{buildroot}%{_mandir}/man1/kwhois.1
install -c -m 644 docs/kwhois.1.kr %{buildroot}%{_mandir}/ko/man1/kwhois.1
install -c -m 644 docs/whois.1.kr  %{buildroot}%{_mandir}/ko/man1/whois.1

%clean
rm -rf %{buildroot}

%files
%doc docs/{README,README.kr,INSTALL,INSTALL.kr}
%{_prefix}/bin/kwhois
%{_mandir}/man1
%{_mandir}/ko/man1

%changelog -n kwhois
* Sat Jan 20 2001 - violiet@suse.de
- new package kwhois version to 1.2.
